<style lang="less">
.AmazingTeam {

    ul, li {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    ul {
        display: flex;
        flex-flow: row wrap;
        align-items: stretch;
        justify-content: center;
        gap: 2rem;
    }

    li {
        flex: 0 1 270px;
        outline: 0px solid cyan;
        padding: 0 1rem;
    }
}
</style>

<template>
<div class="AmazingTeam">
    <ul>
        <li v-for='(person, k) in peoples' :key='k'>
            <PersonCard :person='person' />
        </li>
    </ul>
</div>
</template>

<script lang="ts">
import {Vue, Options} from '@/vue';
import PersonCard, {Person} from '@/components/PersonCard.vue';
@Options<AmazingTeam>({
    components: {PersonCard}
})
export default class AmazingTeam extends Vue {
    peoples:Person[] = [
        {
            name: 'Oleg Teterin CEO',
            photo: 'photo1',
            about: `Produced award winning J. Favreau “Chef” (R.Downey Jr., S. Johansson)
                Advisor to News Outdoor $400M deal`,
        },
        {
            name: 'Martin O Dea',
            photo: 'photo2',
            about: 'Business Strategist and author. CEO of Longevity Accelerator. Dublin, Ireland',
        },
        {
            name: 'Stanislav Skakoon',
            photo: 'photo3',
            about: 'Life sciences & biohacking expert, Russia',
        },
        {
            name: 'Oliver Zolman MD',
            photo: 'photo4',
            about: 'Evidence-Based Longevity expert, founder of 20one Consulting Ltd, Cambridge, UK.',
        },
        {
            name: 'Jose Cordeiro',
            photo: 'photo5',
            about: 'MBA, PhD, Longevity Scientific Ambassador, Spain',
        },
        {
            name: 'Alexander Zgurskiy',
            photo: 'photo6',
            about: 'Developer Scientist, PhD R&D, Russia',
        },
    ]
}
</script>
